- [HTTP request](https://developers.google.com/maps/documentation/route-optimization/reference/rest/v1/operations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/route-optimization/reference/rest/v1/operations/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/route-optimization/reference/rest/v1/operations/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/route-optimization/reference/rest/v1/operations/list#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/route-optimization/reference/rest/v1/operations/list#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/route-optimization/reference/rest/v1/operations/list#body.ListOperationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/maps/documentation/route-optimization/reference/rest/v1/operations/list#body.aspect)

(Currently unsupported) Lists operations that match the specified filter in the request.

### HTTP request

`GET https://routeoptimization.googleapis.com/v1/{name=operations}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the operation's parent resource. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` The standard list filter. |
| `pageSize` | `integer` The standard list page size. |
| `pageToken` | `string` The standard list page token. |
| `returnPartialSuccess` | `boolean` When set to `true`, operations that are reachable are returned as normal, and those that are unreachable are returned in the `https://developers.google.com/maps/documentation/route-optimization/reference/rest/v1/operations/list#body.ListOperationsResponse.FIELDS.unreachable` field. This can only be `true` when reading across collections. For example, when `parent` is set to `"projects/example/locations/-"`. This field is not supported by default and will result in an `UNIMPLEMENTED` error if set unless explicitly documented otherwise in service or product specific documentation. |

### Request body

The request body must be empty.

### Response body

The response message for `https://developers.google.com/maps/documentation/route-optimization/reference/rest/v1/operations/list#google.longrunning.Operations.ListOperations`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "operations": [ { object (`https://developers.google.com/maps/documentation/route-optimization/reference/rest/v1/projects.locations.operations#Operation`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `operations[]` | ``object (`https://developers.google.com/maps/documentation/route-optimization/reference/rest/v1/projects.locations.operations#Operation`)`` A list of operations that matches the specified filter in the request. |
| `nextPageToken` | `string` The standard List next-page token. |
| `unreachable[]` | `string` Unordered list. Unreachable resources. Populated when the request sets `ListOperationsRequest.return_partial_success` and reads across collections. For example, when attempting to list all resources across all supported locations. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`